Subject: [SIP] 2543bis clarification of 487

From: "Daniel G. Petrie" <[email-masked]>
Date: Wed, 21 Mar 2001 01:34:54 -0500

I think this is a request for explicit clarification
of the CANCEL/487 handling.  Were this an
RFC this would probably be more appropriate
for the the implementors list.  I have been
having a disagreement with what the proper
behavior of 487.  Here's the scenario:

Caller sends INVITE
Callee sends 180
Caller sends CANCEL
Callee sends 200 for the CANCEL
Callee sends 487 for the INVITE

Here is what I believe to be the proper
behavior and the part of contention:

The Callee should resend the 200 for the CANCEL
only if it receives a resend of the CANCEL request.

The callee should resend the 487 until it receives an ACK
from the caller or timeout etc.

The caller should send an ACK for every 487
response that it gets.  The caller should send the
ACK when it receives the 200 Ok for the CANCEL
for upward compatability issues as the callee may not
support the 487.

Am I off base here?

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.